import { SECURE_MODE, SIGN_METHOD } from './constants';
export interface IDeviceIdentifier {
    productKey: string;
    productSecret?: string;
    deviceKey: string;
    deviceSecret?: string;
}
export interface ISubDeviceIdentifier extends IDeviceIdentifier {
    timestamp?: number;
    clientId?: string;
    cleanSession?: boolean;
}
/** Sub-device login information, used to add topology relationships and go online for sub-devices */
export interface ISubDeviceLoginInfo {
    productKey: string;
    deviceKey: string;
    clientId: string;
    timestamp: number;
    signMethod: string;
    secureMode?: SECURE_MODE;
    sign: string;
    cleanSession?: 'true' | 'false';
}
export declare class DeviceInfo {
    productKey: string;
    productSecret?: string;
    deviceKey: string;
    deviceSecret?: string;
    constructor(deviceInfo: IDeviceIdentifier);
    getSecureMode(): SECURE_MODE | undefined;
}
export declare class SubDeviceInfo extends DeviceInfo {
    private _signMethod;
    clientId: string;
    cleanSession: boolean;
    timestamp: number;
    constructor(deviceInfo: ISubDeviceIdentifier);
    setClientId(clientId: string): void;
    getLoginInfo(signMethod?: SIGN_METHOD, signTimestamp?: number): ISubDeviceLoginInfo;
}
export default DeviceInfo;
