"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class CommandRequest {
    constructor(payload) {
        const msg = this._decodePayload(payload);
        if (!msg) {
            throw new Error(`decode payload ${(payload || '').toString()} fail: `);
        }
        this.messageId = msg.id;
        this.version = msg.version;
        this.method = msg.method;
        this.params = msg.params;
    }
    _decodePayload(payload) {
        if (!payload) {
            return null;
        }
        let msg = {};
        try {
            msg = JSON.parse(payload.toString());
            // The `params` field in `msg` is already an object, no special processing is required
            return msg;
        }
        catch (e) {
            return null;
        }
    }
}
exports.CommandRequest = CommandRequest;
