/// <reference types="node" />
import { Topic } from '../topic';
import { IDeviceTransport, ICallbackWithoutResult } from '../interfaces';
export declare class CommandResponse<T> {
    private _messageId;
    private _code;
    private _data;
    protected _topic: Topic;
    protected _transport: IDeviceTransport;
    constructor(messageId: string, topic: Topic, transport: IDeviceTransport);
    getEncodedPayload(): string | Buffer;
    getTopicName(): string;
    /** Send response to cloud */
    send(code: number): void;
    send(code: number, data: T): void;
}
export declare class RawDataCommandResponse<T> extends CommandResponse<T> {
    private _payload?;
    constructor(topic: Topic, transport: IDeviceTransport);
    getEncodedPayload(): Buffer;
    send(code: number, data?: T | ICallbackWithoutResult, callback?: ICallbackWithoutResult): void;
    sendRawData(payload: Buffer): void;
    sendRawData(payload: Buffer, callback: ICallbackWithoutResult): void;
}
