"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const Constants = __importStar(require("../constants"));
class CommandResponse {
    constructor(messageId, topic, transport) {
        this._code = Constants.SUCCESS_CODE;
        this._data = null;
        this._messageId = messageId;
        this._topic = topic;
        this._transport = transport;
    }
    getEncodedPayload() {
        return JSON.stringify({
            id: this._messageId,
            code: this._code,
            data: this._data || {}
        });
    }
    getTopicName() {
        return this._topic.getResponseTopicName();
    }
    send(code, data) {
        if (data) {
            this._data = data;
        }
        this._code = code;
        this._transport.sendCommandResponse(this);
    }
}
exports.CommandResponse = CommandResponse;
class RawDataCommandResponse extends CommandResponse {
    constructor(topic, transport) {
        super('', topic, transport);
    }
    getEncodedPayload() {
        return this._payload || Buffer.from('');
    }
    send(code, data, callback) {
        throw new Error('Please use sendRawData to send response data');
    }
    sendRawData(payload, callback) {
        this._payload = payload;
        this._transport.sendCommandResponse(this, callback);
    }
}
exports.RawDataCommandResponse = RawDataCommandResponse;
