import { Topic } from '../topic';
export declare class UpstreamRequest {
    messageId: string;
    version: string;
    params: any;
    protected _topic: Topic;
    protected _isRawData: boolean;
    constructor(topic: Topic, params: any, isRawData?: boolean);
    getMessageId(): string | undefined;
    setMessageId(messageId: string): void;
    getTopicName(): string;
    getResponseTopicName(): string;
    isRawData(): boolean;
    getPayload(): Object;
}
export declare class MeasurePointBatchRequest extends UpstreamRequest {
    /**
     * Whether to allow sending measurement point data for offline devices. False by default.
     * If sending data of offline device is not allowed and the request contains an offline device, the entire request is declined.
     */
    private _allowOfflineSubDevice;
    /**
     * Whether to neglect invalid measurement point data in a request. False by default.
     * If the value is set to false and the request contains invalid measurement point data, the entire request is declined.
     */
    private _skipInvalidMeasurepoints;
    setAllowOfflineSubDevice(allowOfflineSubDevice: boolean): void;
    setSkipInvalidMeasurepoints(skipInvalidMeasurepoints: boolean): void;
    getPayload(): Object;
}
