/// <reference types="node" />
import Service from '../service';
import { DeviceInfo } from '../../deviceinfo';
import { DeviceClient } from '../../client/device_client';
import { ICommandCallback, IRawDataCommandCallback } from '../../interfaces';
export default class CommandService extends Service<DeviceClient> {
    /**
     * Called when the cloud invokes the specific device service
     */
    onInvokeService(serviceName: string, callback: ICommandCallback<any, any>): void;
    onInvokeService(serviceName: string, deviceInfo: DeviceInfo, callback: ICommandCallback<any, any>): void;
    /**
     * Called when the device measurement point is updated
     */
    onSetMeasurepoint(callback: ICommandCallback<any, any>): void;
    onSetMeasurepoint(deviceInfo: DeviceInfo, callback: ICommandCallback<any, any>): void;
    /**
     * Called when the device received raw data from the cloud
     */
    onModelDownRaw(callback: IRawDataCommandCallback<Buffer>): void;
}
