"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/** Topic of registering devices */
exports.registerDeviceTopic = {
    requestTopic: '/sys/%s/%s/thing/device/register',
    method: 'thing.device.register'
};
/** Topic of getting topological relationships of sub-devices */
exports.getTopoTopic = {
    requestTopic: '/sys/%s/%s/thing/topo/get',
    method: 'thing.topo.get'
};
/** Topic of adding topological relationships of sub-devices */
exports.addTopoTopic = {
    requestTopic: '/sys/%s/%s/thing/topo/add',
    method: 'thing.topo.add'
};
/** Topic of deleting topological relationships of sub-devices */
exports.deleteTopoTopic = {
    requestTopic: '/sys/%s/%s/thing/topo/delete',
    method: 'thing.topo.delete'
};
/** Topic of connecting a sub-device to cloud */
exports.loginSubDeviceTopic = {
    requestTopic: '/ext/session/%s/%s/combine/login',
    method: 'combine.login'
};
/** Topic of connecting sub-devices to cloud in batch */
exports.batchLoginSubDeviceTopic = {
    requestTopic: '/ext/session/%s/%s/combine/login/batch',
    method: 'combine.login.batch'
};
/** Topic of disconnecting a sub-device from the cloud */
exports.logoutSubDeviceTopic = {
    requestTopic: '/ext/session/%s/%s/combine/logout',
    method: 'combine.logout'
};
/** Topic of sub-devices enabled */
exports.subDeviceEnableTopic = {
    requestTopic: '/ext/session/%s/%s/combine/enable'
};
/** Topic of sub-devices disabled */
exports.subDeviceDisableTopic = {
    requestTopic: '/ext/session/%s/%s/combine/disable'
};
/** Topic of sub-devices deleted */
exports.subDeviceDeleteTopic = {
    requestTopic: '/ext/session/%s/%s/combine/delete'
};
