import { DeviceInfo } from '../deviceinfo';
import { IDeviceTransport } from '../interfaces';
import { GatewayClient } from '../client/gateway_client';
import { DeviceClient, IUpstreamOptions } from '../client/device_client';
export default class Service<T extends (DeviceClient | GatewayClient)> {
    protected _client: T;
    protected _transport: IDeviceTransport;
    constructor(client: T, transport: IDeviceTransport);
    /**
     * Extra needed params from upstream params
     */
    protected _extractParams(upstreamParams: any): {
        deviceInfo: DeviceInfo;
        upstreamOptions: IUpstreamOptions;
    };
    /**
     * Validate common upstream-options, including `qos` and `needReply`
     */
    protected _validateParams(params?: IUpstreamOptions): void;
}
export declare type IServiceCtor<T extends (DeviceClient | GatewayClient)> = new (client: T, transport: IDeviceTransport) => Service<T>;
