import TSLService from '../tsl_service';
import { IUpstreamResponse } from '../../message';
import { IDeviceUpstreamOptions } from '../../client/device_client';
interface IQueryTagUpstreamOptions extends IDeviceUpstreamOptions {
    /** List of tag keys to be queried; when the keys is empty, all device tags will be returned */
    tagKeys?: string[];
}
interface IdeleteTagUpstreamOptions extends IDeviceUpstreamOptions {
    /** List of tag keys to be deleted */
    tagKeys: string[];
}
interface IUpdateTagUpstreamOptions extends IDeviceUpstreamOptions {
    /** List of tags to be updated */
    tags: {
        tagKey: string;
        tagValue: string;
    }[];
}
export default class TagService extends TSLService {
    /**
     * Query tags
     *
     * If it is to obtain all tag information, set `queryParams` to` null`, or set tagKeys in `queryParams` to `[]`
     */
    queryTag(queryParams?: IQueryTagUpstreamOptions): Promise<IUpstreamResponse<Directory<string>>>;
    /**
     * Update tags
     */
    updateTag(updateParams: IUpdateTagUpstreamOptions): Promise<IUpstreamResponse<string>>;
    /**
     * Delete tags
     */
    deleteTag(deleteParams: IdeleteTagUpstreamOptions): Promise<IUpstreamResponse<string>>;
}
export {};
