"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("util");
class Topic {
    constructor(topicConstant, deviceInfo, ...extraInfos) {
        this._deviceInfo = deviceInfo;
        this._topicContant = topicConstant;
        this._extraInfos = extraInfos;
    }
    _formatTopicName(topic) {
        return util_1.format(topic, this._deviceInfo.productKey, this._deviceInfo.deviceKey, ...this._extraInfos);
    }
    getTopicName() {
        return this._formatTopicName(this._topicContant.requestTopic);
    }
    getResponseTopicName() {
        const { responseTopic } = this._topicContant;
        return (responseTopic && this._formatTopicName(responseTopic)) || `${this.getTopicName()}_reply`;
    }
    getMethod() {
        return util_1.format(this._topicContant.method, ...this._extraInfos);
    }
}
exports.Topic = Topic;
