"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Converts method taking regular callback as a parameter to method returning a Promise
 */
function callbackToPromise(callbackOperation) {
    return new Promise((resolve, reject) => {
        try {
            callbackOperation((error, result) => {
                if (error) {
                    return reject(error);
                }
                return resolve(result);
            });
        }
        catch (error) {
            reject(error);
        }
    });
}
exports.callbackToPromise = callbackToPromise;
